Subject: Re: [PATCH 1/7] Add a minimal test for git-cherry

From: Yann Dirson <[email-masked]>
Date: Sun, 8 Jan 2006 10:58:44 +0100

On Sat, Jan 07, 2006 at 06:22:54PM -0800, Junio C Hamano wrote:
> Yann Dirson <[email-masked]> writes:
> 
> > This test checks that git-cherry finds the expected number of patches
> > in two simple cases.
> >
> > Signed-off-by: Yann Dirson <[email-masked]>
> >
> > +test_expect_success \
> > +    'cherry-pick one of the 2 patches, and check cherry recognized one and only one as new' \
> > +    'git-cherry-pick my-topic-branch^0 &&
> > +     echo $(git-cherry master my-topic-branch) &&
> > +     expr "$(echo $(git-cherry master my-topic-branch) )" : "+ [^ ]* - .*"
> > +'
> 
> I wonder if "+ followed by -" order is stable here.  If you make
> commits in the my-topic-branch fast enough, they would get the
> same timestamp and I suspect the order from rev-list would be
> left to chance.

We could maybe insert a sleep between the two commits ?  Not that I
find it too appealing, however...

-- 
Yann Dirson    <[email-masked]> |
Debian-related: <[email-masked]> |   Support Debian GNU/Linux:
                                    |  Freedom, Power, Stability, Gratis
     http://ydirson.free.fr/        | Check <http://www.debian.org/>